cc.funkemunky.api.commands.ancmd

## Class CommandManager

- java.lang.Object
- - cc.funkemunky.api.commands.ancmd.CommandManager

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor

    public class CommandManager
    extends java.lang.Object
    implements org.bukkit.command.CommandExecutor

### Constructor Summary

Constructors
Constructor and Description
`CommandManager(org.bukkit.plugin.Plugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addCompletionsForCommand(java.lang.String command, java.lang.String... completions)`
`void` `createCommandMap(org.bukkit.plugin.Plugin plugin)`
`ColorScheme` `getDefaultScheme()`
`boolean` `onCommand(org.bukkit.command.CommandSender sender, org.bukkit.command.Command cmd, java.lang.String label, java.lang.String[] args)`
`void` `registerCommand(Command command, java.lang.String label, java.lang.reflect.Method method, java.lang.Object clazz)`
`void` `registerCommand(org.bukkit.plugin.Plugin plugin, Command command, java.lang.String label, java.lang.reflect.Method method, java.lang.Object clazz)` Deprecated.
`void` `registerCommands(java.lang.Object clazz)`
`void` `registerCommands(org.bukkit.plugin.Plugin plugin, java.lang.Object clazz)` Deprecated.
`void` `runHelpMessage(CommandAdapter command, org.bukkit.command.CommandSender sender, ColorScheme scheme)`
`void` `unregisterBukkitCommand(org.bukkit.command.Command cmd)`
`void` `unregisterCommand(java.lang.String name)`
`void` `unregisterCommands()`
`void` `unregisterCommands(org.bukkit.plugin.Plugin plugin)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandManager

    public CommandManager(org.bukkit.plugin.Plugin plugin)

### Method Detail

#### createCommandMap

    public void createCommandMap(org.bukkit.plugin.Plugin plugin)

#### registerCommands

    @Deprecated
    public void registerCommands(org.bukkit.plugin.Plugin plugin,
                                             java.lang.Object clazz)

Deprecated.

#### registerCommands

    public void registerCommands(java.lang.Object clazz)

#### unregisterCommands

    @Deprecated
    public void unregisterCommands(org.bukkit.plugin.Plugin plugin)

Deprecated.

#### unregisterCommands

    public void unregisterCommands()

#### unregisterCommand

    public void unregisterCommand(java.lang.String name)

#### unregisterBukkitCommand

    public void unregisterBukkitCommand(org.bukkit.command.Command cmd)

#### onCommand

    public boolean onCommand(org.bukkit.command.CommandSender sender,
                             org.bukkit.command.Command cmd,
                             java.lang.String label,
                             java.lang.String[] args)

Specified by:
  `onCommand` in interface `org.bukkit.command.CommandExecutor`

#### getDefaultScheme

    public ColorScheme getDefaultScheme()

#### runHelpMessage

    public void runHelpMessage(CommandAdapter command,
                               org.bukkit.command.CommandSender sender,
                               ColorScheme scheme)

#### registerCommand

    public void registerCommand(Command command,
                                java.lang.String label,
                                java.lang.reflect.Method method,
                                java.lang.Object clazz)

#### registerCommand

    @Deprecated
    public void registerCommand(org.bukkit.plugin.Plugin plugin,
                                            Command command,
                                            java.lang.String label,
                                            java.lang.reflect.Method method,
                                            java.lang.Object clazz)

Deprecated.

#### addCompletionsForCommand

    public void addCompletionsForCommand(java.lang.String command,
                                         java.lang.String... completions)